@import 'susy/sass/susy';
@import 'breakpoint-sass/stylesheets/breakpoint';
@import './breakpoints';

$default-padding-width: 15px;

@mixin mobile-padding(
  $container-width,
  $padding-width: $default-padding-width,
  $use-margin: false,
  $override-other: false) {
  @include breakpoint(0 ($container-width + $padding-width * 2)) {
    @if $use-margin == false {
      @if $override-other == true {
        margin-left: 0;
        margin-right: 0;
      }
      padding-left: $padding-width;
      padding-right: $padding-width;
    }
    @else {
      @if $override-other == true {
        padding-left: 0;
        padding-right: 0;
      }
      margin-left: $padding-width;
      margin-right: $padding-width;
    }
  }
}


.l-container {
  $l-container-width: 960px;

  @include container($l-container-width);
  @include mobile-padding($l-container-width);

  &--mobile-margin {
    @include mobile-padding($l-container-width, $default-padding-width, true, true);
  }
}

.l-container-narrow {
  $l-container-narrow-width: 480px;

  @include container($l-container-narrow-width);
  @include mobile-padding($l-container-narrow-width);
}
